import { StateContext } from '@ngxs/store';
import * as i0 from "@angular/core";
export declare const DATABASE_STATES: any[];
export declare const DATABASE_REQUIRED_ACTIONS: any[];
export declare class DatabaseState {
    constructor();
    clear(ctx: StateContext<any>): void;
    restore(ctx: StateContext<any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatabaseState, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DatabaseState>;
}
